import { Drawable } from "./drawable";
import { AbstractNode } from "./aNode";
export declare abstract class AbstractEdge extends Drawable {
    private static readonly EDGE_PRIORITY;
    protected readonly startNode: AbstractNode;
    protected readonly endNode: AbstractNode;
    constructor(startNode: AbstractNode, endNode: AbstractNode);
    getStartNode(): AbstractNode;
    getEndNode(): AbstractNode;
    abstract equals(other: AbstractEdge): boolean;
}
