import { AbstractEdge } from "../abstract/aEdge";
import { Interactable } from "../abstract/interactable";
import { AbstractGrid } from "../abstract/aGrid";
export declare abstract class Edge extends AbstractEdge implements Interactable {
    marginDistance: number;
    eps: number;
    draw(ctx: CanvasRenderingContext2D, grid: AbstractGrid): void;
    inPerimeter(coordinate: [number, number], grid: AbstractGrid): boolean;
    keyBoardEvent(k: KeyboardEvent): void;
}
