import { InteractiveGraph } from "./interactiveGraph";
import { Grid } from "../base/grid";
export declare abstract class IGraph extends InteractiveGraph {
    constructor(graphType: GraphType, grid: Grid, canvas?: HTMLCanvasElement);
    rightClick(e: MouseEvent): void;
}
export declare enum GraphType {
    DIRECTED_GRAPH = 0,
    UNDIRECTED_GRAPH = 1,
    MIXED_GRAPH = 2
}
