import { InteractiveGraph } from "./interactiveGraph";
import { AbstractGrid } from "../abstract/aGrid";
import { TreeNode } from "../base/treeNode";
export declare abstract class ITree extends InteractiveGraph {
    protected root: TreeNode;
    /**
     * Requires a TreeGrid
     */
    constructor(directed: boolean, grid: AbstractGrid, canvas: HTMLCanvasElement);
    buildCombinatorialTree(alphabet: any[], depth: number, withRepetition?: boolean): void;
}
