import { GraphGrid } from "../graph/graphGrid";
export declare class TreeGrid extends GraphGrid {
    MIN_ROW: number;
    MIN_COL: number;
    constructor(canvas: HTMLCanvasElement, numRows?: number, numCols?: number);
    initDimensionCombinatorialTree(depth: number, repetition: boolean, alphabetSize: number): void;
    getRootCoordinate(): [number, number];
    getCoordinateCombinatorialTree(level: number, childNumber: number, totalChildNumber: number): [number, number];
    getCanvasHeight(): number;
    initDimension(numRows: number, numCols: number): void;
    getNodeHeight(): number;
}
