import { Colorable } from "../../../lib/abstract/colorable";
import { AbstractGrid } from "../../../lib/abstract/aGrid";
import { WeightedDirectedEdge } from "../../../lib/base/edges/weightedDirectedEdge";
import { Imageable } from "../../../lib/abstract/imageable";
import { Grid } from "../../../lib/base/grid";
export declare class ImageSimpleDirectedWeightedEdge extends WeightedDirectedEdge implements Colorable, Imageable {
    standardColor: string;
    color: string;
    protected image: CanvasImageSource;
    protected imageLoaded: boolean;
    protected link: string;
    protected ctx: CanvasRenderingContext2D;
    protected grid: AbstractGrid;
    setImageLink(link: string): void;
    getImageLink(): string;
    draw(ctx: CanvasRenderingContext2D, grid: Grid): void;
    setColor(color: any): void;
    getColor(): any;
    resetColor(): void;
}
