import { Grid } from "../../lib/base/grid";
import { Colorable } from "../../lib/abstract/colorable";
import { DirectedEdge } from "../../lib/base/edges/directedEdge";
export declare class SimpleDirectedEdge extends DirectedEdge implements Colorable {
    standardColor: string;
    color: string;
    draw(ctx: CanvasRenderingContext2D, grid: Grid): void;
    setColor(color: any): void;
    getColor(): any;
    resetColor(): void;
}
