import { Colorable } from "../../lib/abstract/colorable";
import { AbstractGrid } from "../../lib/abstract/aGrid";
import { WeightedUndirectedEdge } from "../../lib/base/edges/weightedUndirectedEdge";
export declare class SimpleUndirectedWeightedEdge extends WeightedUndirectedEdge implements Colorable {
    standardColor: string;
    color: string;
    draw(ctx: CanvasRenderingContext2D, grid: AbstractGrid): void;
    setColor(color: string): void;
    getColor(): string;
    resetColor(): void;
}
