import { IGraph } from "../../../lib/interactive/iGraph";
import { Vertex } from "../../../lib/base/vertex";
import { Edge } from "../../../lib/base/edge";
export declare class SimpleInteractiveUndirectedGraph extends IGraph {
    constructor(canvas: HTMLCanvasElement);
    newNode(args?: any[]): Vertex;
    newEdge(from: Vertex, to: Vertex, args?: any[]): Edge;
    doubleClick(e: MouseEvent): void;
    keyBoardEvent(k: KeyboardEvent): void;
}
