import { NameVertex } from "../../lib/graph/vertices/NameVertex";
import { AbstractGrid } from "../../lib/abstract/aGrid";
import { Interactable } from "../../lib/abstract/interactable";
import { Colorable } from "../../lib/abstract/colorable";
export declare class CircleNameVertex extends NameVertex implements Interactable, Colorable {
    protected standardColor: string;
    protected color: any;
    draw(ctx: CanvasRenderingContext2D, grid: AbstractGrid): void;
    inPerimeter(coordinate: [number, number], grid: AbstractGrid): boolean;
    setColor(color: any): void;
    getColor(): any;
    resetColor(): void;
    keyBoardEvent(k: KeyboardEvent): void;
}
