import { AbstractGrid } from "../../lib/abstract/aGrid";
import { Interactable } from "../../lib/abstract/interactable";
import { Colorable } from "../../lib/abstract/colorable";
import { ImageVertex } from "../../lib/graph/vertices/ImageVertex";
export declare class CustomImageVertex extends ImageVertex implements Interactable, Colorable {
    protected standardColor: string;
    protected color: any;
    protected imageLoaded: boolean;
    protected image: CanvasImageSource;
    protected ctx: CanvasRenderingContext2D;
    protected grid: AbstractGrid;
    setImageLink(link: string): void;
    setColor(color: any): void;
    getColor(): any;
    resetColor(): void;
    keyBoardEvent(): void;
    inPerimeter(coordinate: [number, number], grid: AbstractGrid): boolean;
    draw(ctx: CanvasRenderingContext2D, grid: AbstractGrid): void;
}
