import { NameTreeNode } from "../../lib/tree/treeNodes/NameTreeNode";
import { AbstractGrid } from "../../lib/abstract/aGrid";
import { Interactable } from "../../lib/abstract/interactable";
import { Colorable } from "../../lib/abstract/colorable";
export declare class RectangleNameTreeNode extends NameTreeNode implements Interactable, Colorable {
    protected standardColor: string;
    protected color: any;
    setColor(color: any): void;
    getColor(): any;
    resetColor(): void;
    keyBoardEvent(): void;
    inPerimeter(coordinate: [number, number], grid: AbstractGrid): boolean;
    draw(ctx: CanvasRenderingContext2D, grid: AbstractGrid): void;
}
