import { DirectedEdge } from "./directedEdge";
import { AbstractGrid } from "../../abstract/aGrid";
import { Weightable } from "../../abstract/weightable";
export declare class WeightedDirectedEdge extends DirectedEdge implements Weightable {
    private weight;
    private unit;
    draw(ctx: CanvasRenderingContext2D, grid: AbstractGrid): void;
    protected drawWeight(ctx: CanvasRenderingContext2D, grid: AbstractGrid): void;
    setWeight(weight: number): void;
    getWeight(): number;
    setUnit(unit: string): void;
    getUnit(): string;
}
