import { Vertex } from "../../base/vertex";
import { Colorable } from "../../abstract/colorable";
/**
 * Vertex with Name drawn on it.
 */
export declare abstract class NameVertex extends Vertex implements Colorable {
    protected name: string;
    protected color: string;
    protected standardColor: string;
    protected predefinedName: string[];
    static ic: number;
    constructor(name?: string);
    static resetNames(): void;
    setName(name: string): void;
    getName(): string;
    setColor(color: any): void;
    getColor(): any;
    resetColor(): void;
}
